Support » Plugin: Related Posts for WordPress » [Plugin: Microkid's Related Posts] error with php5.3

  • These are the error messages I have during ajax call to search related post
    I have php 5.3
    ==========================================================

    Deprecated: Assigning the return value of new by reference is deprecated in C:\__WORK\L_agence_originale\annedhercourt.com\www\wp-settings.php on line 204

    Deprecated: Assigning the return value of new by reference is deprecated in C:\__WORK\L_agence_originale\annedhercourt.com\www\wp-settings.php on line 219

    Deprecated: Assigning the return value of new by reference is deprecated in C:\__WORK\L_agence_originale\annedhercourt.com\www\wp-settings.php on line 226

    Deprecated: Assigning the return value of new by reference is deprecated in C:\__WORK\L_agence_originale\annedhercourt.com\www\wp-settings.php on line 233

    Deprecated: Assigning the return value of new by reference is deprecated in C:\__WORK\L_agence_originale\annedhercourt.com\www\wp-settings.php on line 258

    Deprecated: Function set_magic_quotes_runtime() is deprecated in C:\__WORK\L_agence_originale\annedhercourt.com\www\wp-settings.php on line 27

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author microkid

    (@microkid)

    Is WP_DEBUG set to true in your wp-config.php?

    No, WP_DEBUG is set to false.

    To avoid the displaying of errors (deprecated) in the ajax return, I finally replaced this line
    require(‘../../../wp-config.php’);

    by this block
    ob_start();
    require(‘../../../wp-config.php’);
    ob_clean();

    in the file mrp-search.php

    And I remarked that there are a lot of deprecated errors in wp with php5.3.

    Gilles

    The warnings relate to the &= assignments in wp-settings.php being deprecated in php 5.3 so it’s not an error in the plugin.

    I would’ve thought that setting WP_DEBUG to false would suppress the messages but for some reason that doesn’t work for me.

    I just added error_reporting(0); to the top of mrp-search.php and that supresses the warnings.

    This is on WordPress 3.0.4, maybe they’ll fix the code in future upgrades?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Microkid's Related Posts] error with php5.3’ is closed to new replies.